DROP TABLE CRST_RCV_PARAMETERS;

CREATE TABLE CRST_RCV_PARAMETERS
(
  ORGANIZATION_ID                 NUMBER        NOT NULL,
  LAST_UPDATE_DATE                DATE          NOT NULL,
  LAST_UPDATED_BY                 NUMBER        NOT NULL,
  CREATION_DATE                   DATE          NOT NULL,
  CREATED_BY                      NUMBER        NOT NULL,
  LAST_UPDATED_LOGIN              NUMBER,
  QTY_RCV_TOLERANCE               NUMBER,
  QTY_RCV_EXCEPTION_CODE          VARCHAR2(25 BYTE),
  ENFORCE_SHIP_TO_LOCATION_CODE   VARCHAR2(25 BYTE),
  ALLOW_EXPRESS_DELIVERY_FLAG     VARCHAR2(1 BYTE),
  DAYS_EARLY_RECEIPT_ALLOWED      NUMBER,
  DAYS_LATE_RECEIPT_ALLOWED       NUMBER,
  RECEIPT_DAYS_EXCEPTION_CODE     VARCHAR2(25 BYTE),
  RECEIVING_ROUTING_ID            NUMBER,
  ALLOW_SUBSTITUTE_RECEIPTS_FLAG  VARCHAR2(1 BYTE),
  ALLOW_UNORDERED_RECEIPTS_FLAG   VARCHAR2(1 BYTE),
  BLIND_RECEIVING_FLAG            VARCHAR2(1 BYTE),
  REQUEST_ID                      NUMBER,
  PROGRAM_APPLICATION_ID          NUMBER,
  PROGRAM_ID                      NUMBER,
  PROGRAM_UPDATE_DATE             DATE,
  RECEIVING_ACCOUNT_ID            NUMBER,
  ALLOW_CASCADE_TRANSACTIONS      VARCHAR2(1 BYTE),
  GLOBAL_ATTRIBUTE1               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY       VARCHAR2(30 BYTE),
  RECEIPT_ASN_EXISTS_CODE         VARCHAR2(30 BYTE),
  USER_DEFINED_RECEIPT_NUM_CODE   VARCHAR2(25 BYTE),
  MANUAL_RECEIPT_NUM_TYPE         VARCHAR2(25 BYTE),
  NEXT_RECEIPT_NUM                NUMBER
);
